Altibase.jdbc.driver

## Class JdbcSpecObjFactory

- java.lang.Object
- - Altibase.jdbc.driver.JdbcSpecObjFactory

    public class JdbcSpecObjFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JdbcSpecObjFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.sql.CallableStatement` `getCallableStmtInstance(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`static java.sql.Connection` `getConnInstance(java.util.Properties aProp, AltibaseDataSource aDataSource, AltibaseShardingConnection aMetaConn)`
`static java.sql.DatabaseMetaData` `getMetaDataInstance(AltibaseConnection aConn)`
`static javax.sql.PooledConnection` `getPooledConnInstance(java.sql.Connection aConn)`
`static java.sql.PreparedStatement` `getPreparedStmtInstance(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`
`static javax.sql.XAConnection` `getXAConnectionInstance(java.sql.Connection aConn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcSpecObjFactory

    public JdbcSpecObjFactory()

### Method Detail

#### getConnInstance

    public static java.sql.Connection getConnInstance(java.util.Properties aProp,
                                                      AltibaseDataSource aDataSource,
                                                      AltibaseShardingConnection aMetaConn)
                                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getPreparedStmtInstance

    public static java.sql.PreparedStatement getPreparedStmtInstance(AltibaseConnection aConnection,
                                                                     java.lang.String aSql,
                                                                     int aResultSetType,
                                                                     int aResultSetConcurrency,
                                                                     int aResultSetHoldability)
                                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getCallableStmtInstance

    public static java.sql.CallableStatement getCallableStmtInstance(AltibaseConnection aConnection,
                                                                     java.lang.String aSql,
                                                                     int aResultSetType,
                                                                     int aResultSetConcurrency,
                                                                     int aResultSetHoldability)
                                                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getMetaDataInstance

    public static java.sql.DatabaseMetaData getMetaDataInstance(AltibaseConnection aConn)
                                                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getPooledConnInstance

    public static javax.sql.PooledConnection getPooledConnInstance(java.sql.Connection aConn)

#### getXAConnectionInstance

    public static javax.sql.XAConnection getXAConnectionInstance(java.sql.Connection aConn)
                                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`